/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rk.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.rk.entity.RkEntity;
import org.springblade.modules.rk.vo.*;
import org.springblade.modules.rk.excel.RkExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 房屋人口 服务类
 *
 * @author BladeX
 * @since 2023-08-05
 */
public interface IRkService extends BaseService<RkEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param rk
	 * @return
	 */
	IPage<RkVO> selectRkPage(IPage<RkVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RkExcel> exportRk(Wrapper<RkEntity> queryWrapper);

	IPage<XqVO> getXqList(IPage<XqVO> page, Map<String, Object> params);

	List<LdVO> getLdList(Map<String, Object> params);

	List<DyVO> getDyList(Map<String, Object> params);

	List<FjVO> getFjList(Map<String, Object> params);

	List<DyWebVO> getDyWebList(Map<String, Object> params);

	List<LcWebVO> getLcList(Map<String, Object> params);

	List<FjVO> getFjWebList(Map<String, Object> params);

	List<LbVOS> selectXq(Long value);

	List<LbVOSS> selectLd(String label);

	List<LbVOS> selectxqmj(String deptId);
}
